/* -------------------------------------------- Crypto Header ------------------------------------ */

.crypto-header {
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 8px 10px;
	background: var(--lightblau);
	border-bottom: 1px solid var(--grau);
}

.crypto-header h3 {
	margin: 0;
	font-size: 15px;
	font-weight: 700;
	color: var(--grau);
	text-transform: uppercase;
}


.crypto-header span {
	padding: 6px 10px;
	color: var(--weiss);
	background: var(--rot);
	border-radius: 0px;
	font-size: 12px;
	font-weight: 700;
	text-transform: uppercase;
}

/* ---------------------------------- CRYPTO WIDGET ---------------------------------------------- */

.crypto-widget {
        width: 100%;
        height: 350px;
        overflow: hidden;
        background: #fff;
        color: #18181b;
        box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.1);
        transition: 0.5s ease;
}

.crypto-widget:hover {
        box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3);
}

.crypto-widget-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 8px 10px;
        border-bottom: 2px solid var(--grau);
}

.crypto-widget-header h3 {
        color: #000;
        font-size: 16px;
        text-transform: uppercase;
}

.crypto-widget-header span {
        padding: 4px 8px;
        color: #fff;
        background: #d72222;
        font-size: 12px;
        text-transform: uppercase;
}






.crypto-item {
    display: flex;
    align-items: center;
    gap: 15px;
    padding: 6px 10px;
    min-height: 40px;
    border-bottom: 1px solid #e5e7eb;
    transition: 0.25s ease;
    box-sizing: border-box;
}












.crypto-item:hover {
        background: #f7f7f7;
}

.crypto-item img {
    width: 30px;
    height: 30px;
    min-width: 30px;
    object-fit: contain;
    border-radius: 50%;
    background: #f3f4f6;
}

.crypto-name {
        flex: 1;
        color: #000;
        font-size: 14px;
        font-weight: 500;
        text-transform: uppercase;
}

.crypto-name small {
        display: block;
        color: #777;
        font-size: 10px;
}

.crypto-price {
        text-align: right;
}

.crypto-price strong {
        display: block;
        color: #111;
        font-size: 14px;
}

.crypto-price span {
        font-size: 11px;
}

.crypto-up {
        color: #16a34a;
}

.crypto-down {
        color: #d72222;
}

.crypto-up::before {
        content: "▲ ";
}

.crypto-down::before {
        content: "▼ ";
}

.crypto-update {
        padding: 4px 10px 4px 10px;
        color: #696969;
        background: #ffffff;
        font-size: 11px;
        text-align: right;
}

